%define module Catalyst-Plugin-Unicode
%define name	perl-%{module}
%define version	0.8
%define release	%mkrel 1

Summary:	Unicode aware Catalyst
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Catalyst/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst::Runtime)
BuildRequires:	perl(Test::WWW::Mechanize::Catalyst)
BuildRequires:	perl(Test::use::ok)
BuildRequires:	perl(IO::Scalar)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
On request, decodes all params from UTF-8 octets into a sequence of
logical characters. On response, encodes body into UTF-8 octets.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst


%changelog
* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-1mdv2008.1
+ Revision: 98029
- new version

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-1mdv2008.0
+ Revision: 69239
- new version


* Tue Apr 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-2mdk
- Add Buildrequires

* Sun Mar 12 2006 Scott Karns <scott@karnstech.com> 0.2-1mdk
- First Mandriva release

